scala.reflect.macros.compiler

# DefaultMacroCompiler

#### abstract class DefaultMacroCompiler extends Resolvers with Validators with Errors

Source
  DefaultMacroCompiler.scala

Linear Supertypes
Errors, Traces, Validators, Resolvers, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DefaultMacroCompiler
2. Errors
3. Traces
4. Validators
5. Resolvers
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new DefaultMacroCompiler()

### Type Members

1. #### trait Error extends AnyRef

   Definition Classes
     Errors

2. #### case class MacroImplRefCompiler(untypedMacroImplRef: tools.nsc.Global.Tree, isImplBundle: Boolean) extends Resolver with Validator with Error with Product with Serializable

3. #### trait Resolver extends AnyRef

   Definition Classes
     Resolvers

4. #### trait Validator extends AnyRef

   Definition Classes
     Validators

### Abstract Value Members

1. #### abstract val global: Global

2. #### abstract val macroDdef: tools.nsc.Global.DefDef

3. #### abstract val typer: (analyzer)#Typer

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from DefaultMacroCompiler to any2stringadd[DefaultMacroCompiler] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (DefaultMacroCompiler, B)

   Implicit information
     This member is added by an implicit conversion from DefaultMacroCompiler to ArrowAssoc[DefaultMacroCompiler] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def MacroBundleNonStaticError(): Nothing

   Definition Classes
     Errors

7. #### def MacroBundleWrongShapeError(): Nothing

   Definition Classes
     Errors

8. #### def MacroImplAmbiguousError(): Nothing

   Definition Classes
     Errors

9. #### def abort(pos: tools.nsc.Global.Position, msg: String): Nothing

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### val context: (analyzer)#Context

13. #### def ensuring(cond: (DefaultMacroCompiler) ⇒ Boolean, msg: ⇒ Any): DefaultMacroCompiler

    Implicit information
      This member is added by an implicit conversion from DefaultMacroCompiler to Ensuring[DefaultMacroCompiler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (DefaultMacroCompiler) ⇒ Boolean): DefaultMacroCompiler

    Implicit information
      This member is added by an implicit conversion from DefaultMacroCompiler to Ensuring[DefaultMacroCompiler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): DefaultMacroCompiler

    Implicit information
      This member is added by an implicit conversion from DefaultMacroCompiler to Ensuring[DefaultMacroCompiler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): DefaultMacroCompiler

    Implicit information
      This member is added by an implicit conversion from DefaultMacroCompiler to Ensuring[DefaultMacroCompiler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from DefaultMacroCompiler to StringFormat[DefaultMacroCompiler] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def globalSettings: Settings

    Definition Classes
      Errors → Traces

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### val macroDebugLite: Boolean

    Definition Classes
      Traces

26. #### val macroDebugVerbose: Boolean

    Definition Classes
      Traces

27. #### lazy val macroDef: tools.nsc.Global.Symbol

28. #### final def macroLogLite(msg: ⇒ Any): Unit

    Definition Classes
      Traces
    Annotations
      @inline()

29. #### final def macroLogVerbose(msg: ⇒ Any): Unit

    Definition Classes
      Traces
    Annotations
      @inline()

30. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### def resolveMacroImpl: tools.nsc.Global.Tree

    Resolves a macro impl reference provided in the right-hand side of the given macro definition.

    Resolves a macro impl reference provided in the right-hand side of the given macro definition.

    Acceptable shapes of the right-hand side: 1) [<static object>].<method name>args> // vanilla macro impl ref 2) [<macro bundle>].<method name>args> // shiny new macro bundle impl ref

    Produces a tree, which represents a reference to a macro implementation if everything goes well, otherwise reports found errors and returns EmptyTree. The resulting tree should have the following format:

    qualifier.method[targs]

    Qualifier here might be omitted (local macro defs), be a static object (vanilla macro defs) or be a dummy instance of a macro bundle (e.g. new MyMacro(???).expand).

34. #### val runDefinitions: internal.Definitions.definitions.RunDefinitions

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### def →[B](y: B): (DefaultMacroCompiler, B)

    Implicit information
      This member is added by an implicit conversion from DefaultMacroCompiler to ArrowAssoc[DefaultMacroCompiler] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Errors

### Inherited from Traces

### Inherited from Validators

### Inherited from Resolvers

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from DefaultMacroCompiler to any2stringadd[DefaultMacroCompiler]

### Inherited by implicit conversion StringFormat from DefaultMacroCompiler to StringFormat[DefaultMacroCompiler]

### Inherited by implicit conversion Ensuring from DefaultMacroCompiler to Ensuring[DefaultMacroCompiler]

### Inherited by implicit conversion ArrowAssoc from DefaultMacroCompiler to ArrowAssoc[DefaultMacroCompiler]

### Ungrouped